# Uses of Enum Class
org.apache.sysds.common.Types.ReOrgOp

Packages that use Types.ReOrgOp
Package
Description
org.apache.sysds.common
org.apache.sysds.hops
org.apache.sysds.hops.rewrite
org.apache.sysds.lops

## Uses of Types.ReOrgOp in org.apache.sysds.common

Methods in org.apache.sysds.common that return Types.ReOrgOp
Modifier and Type
Method
Description
`static Types.ReOrgOp`
Types.ReOrgOp.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Types.ReOrgOp`
Types.ReOrgOp.`valueOfByOpcode(String opcode)`
`static Types.ReOrgOp[]`
Types.ReOrgOp.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of Types.ReOrgOp in org.apache.sysds.hops

Methods in org.apache.sysds.hops that return Types.ReOrgOp
Modifier and Type
Method
Description
`Types.ReOrgOp`
ReorgOp.`getOp()`
Constructors in org.apache.sysds.hops with parameters of type Types.ReOrgOp
Modifier
Constructor
Description
``
`ReorgOp(String l, Types.DataType dt, Types.ValueType vt, Types.ReOrgOp o, List<Hop> inp)`
``
`ReorgOp(String l, Types.DataType dt, Types.ValueType vt, Types.ReOrgOp o, Hop inp)`

## Uses of Types.ReOrgOp in org.apache.sysds.hops.rewrite

Methods in org.apache.sysds.hops.rewrite with parameters of type Types.ReOrgOp
Modifier and Type
Method
Description
`static ReorgOp`
HopRewriteUtils.`createReorg(List<Hop> inputs, Types.ReOrgOp rop)`
`static ReorgOp`
HopRewriteUtils.`createReorg(Hop input, Types.ReOrgOp rop)`
`static boolean`
HopRewriteUtils.`isReorg(Hop hop, Types.ReOrgOp type)`
`static boolean`
HopRewriteUtils.`isReorg(Hop hop, Types.ReOrgOp... types)`
`static boolean`
HopRewriteUtils.`isValidOp(Types.ReOrgOp input, Types.ReOrgOp... validTab)`

## Uses of Types.ReOrgOp in org.apache.sysds.lops

Methods in org.apache.sysds.lops that return Types.ReOrgOp
Modifier and Type
Method
Description
`Types.ReOrgOp`
Transform.`getOp()`
method to get operation type
Constructors in org.apache.sysds.lops with parameters of type Types.ReOrgOp
Modifier
Constructor
Description
``
`Transform(Lop[] inputs, Types.ReOrgOp op, Types.DataType dt, Types.ValueType vt, boolean outputEmptyBlock, Types.ExecType et)`
``
`Transform(Lop[] inputs, Types.ReOrgOp op, Types.DataType dt, Types.ValueType vt, Types.ExecType et, boolean bSortIndInMem)`
``
`Transform(Lop[] inputs, Types.ReOrgOp op, Types.DataType dt, Types.ValueType vt, Types.ExecType et, boolean bSortIndInMem, int k)`
``
`Transform(Lop[] inputs, Types.ReOrgOp op, Types.DataType dt, Types.ValueType vt, Types.ExecType et, int k)`
``
`Transform(Lop input, Types.ReOrgOp op, Types.DataType dt, Types.ValueType vt, Types.ExecType et)`
``
`Transform(Lop input, Types.ReOrgOp op, Types.DataType dt, Types.ValueType vt, Types.ExecType et, boolean bSortIndInMem)`
``
`Transform(Lop input, Types.ReOrgOp op, Types.DataType dt, Types.ValueType vt, Types.ExecType et, int k)`